using System;
using System.Collections;
using Server.Items;
using Server.Network;

namespace Server.Mobiles
{
	[CorpseName( "an antaur corpse" )]
	public class AntaurLord : BaseCreature
	{
		[Constructable]
		public AntaurLord() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an antaur lord";
			Body = 314;
			BaseSoundID = 0x4F0;

			SetStr( 588, 660 );
			SetDex( 303, 375 );
			SetInt( 108, 180 );

			SetHits( 288, 321 );

			SetDamage( 9, 30 );

			SetSkill( SkillName.MagicResist, 90.0, 120.0 );
			SetSkill( SkillName.Tactics, 90.0, 120.0 );
			SetSkill( SkillName.HandToHand, 90.0, 120.0 );

			Fame = 9000;
			Karma = -9000;

			VirtualArmor = 55;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.MedPotions );
			AddLoot( LootPack.HighPotions );
			AddLoot( LootPack.Gems, 3 );
		}

		public AntaurLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 1 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
			Hue = 0;
		}
	}
}